<div class="paddingLR">
    <div class="paddingFull disFlexCenter spaceBetween borderBtm">
        <div class="btn srtWid addAssetBtn">Add Asset</div>
        <div class="searchBox">
            <input type="text" placeholder="Search Asset Name" [(ngModel)]="filterText">
        </div>
    </div>

    <div class="dataTable userTable small marginBtm">
        <div class="dataRow header">
            <ul class="rowCont">
                <!-- <li class="personIcon">
                    Image
                </li> -->
                <li class="name">
                    <div class="disFlexCenter" appSortDirective [sortKey]="'assetId'" [data]="m
                    ">
                        <div class="">Asset Id</div>
                        <div class="icon sortIcon">
                            <img src="assets/images/sort.png" alt="">
                        </div>
                    </div>
                </li>
                <li class="email">
                    <div class="disFlexCenter" appSortDirective [sortKey]="'assetName'" [data]="students">
                        <div class="">Asset Name</div>
                        <div class="icon sortIcon">
                            <img src="assets/images/sort.png" alt="">
                        </div>
                    </div>
                </li>

                <li class="control"></li>
            </ul>
        </div>
        <div class="dataRow" *ngFor="let asset of students | filter: filterText: 'assetName'">
            <ul class="rowCont">
                <!-- <li class="personIcon">
                    <div class="personImage icon">
                        <img src="assets/images/person.png" alt="">
                    </div>
                </li> -->
                <li class="name">{{asset.assetId}}</li>
                <li class="email">{{asset.assetName}}</li>
                <li class="email">
                    <div class="btn thin addAdditionalAssetDetailsBtn" (click)="getAssetDetailsById(asset)">Upload logs</div>
                </li>
                <li class="email">
                    <div class="btn thin addAdditionalAssetDetailsBtn" (click)="getAssetDetailsById(asset)">Edit</div>
                </li>
                <li class="email">
                    <div class="btn thin">Delete</div>
                </li>
                <li class="email">
                    <div class="btn thin showAssetDetailsBtn" (click)="getAssetDetailsById(asset)">View DB</div>
                </li>  
                <!-- <li class="control">
                    
                        <div class="btn thin">Add</div>
                        <div class="btn redBack thin marginLeftSml">Delete</div>
                    
                </li> -->
            </ul>
        </div>
    </div>

    <ul class="pagination paddingTB borderTop">
            <li class="active">1</li>
        <!-- <li>1</li>
        <li>2</li>
        
        <li>4</li>
        <li>5</li> -->
    </ul>

</div>


<div class="popup addAssetPopup">
    <div class="x close"></div>
    <div class="popupContent small">
        <div class="borderBtm mainNormal marginBtm paddingBtm">Add New Asset</div>
        <ul class="form flow">
            <li>
                <div class="tag">Asset ID</div>
                <input type="text" name="assetid" #assetidcontrol="ngModel" [(ngModel)]="assetDetails.assetId" required>
                <div *ngIf="assetidcontrol.touched">
                    <small *ngIf="assetidcontrol.errors?.required" class="alert-msg">
                        AssetID is a required field!
                    </small>
                </div>
            </li>
            <li>
                <div class="tag">Asset Name</div>
                <input type="text" name="assetname" #assetname="ngModel" [(ngModel)]="assetDetails.assetName" required>
                <div *ngIf="assetname.touched">
                    <small *ngIf="assetname.errors?.required" class="alert-msg">
                        Asset Name is a required field!
                    </small>
                </div>
            </li>
        </ul>
        <div class="">
            <div class="btn cancel close" (click)="saveAssetDetails()">Save</div>
            <div class="btn cancel marginLeft close">Cancel</div>
        </div>
    </div>
</div>

<div class="popup addAdditionalAssetPopup">
    <div class="x close"></div>
    <div class="popupContent small">
        <div class="borderBtm mainNormal marginBtm paddingBtm">Upload Asset Logs</div>
        <div class="maxWid12">
            <form #assetFrom="ngForm">
                <input type="file" name="fileToUpload" id="fileToUpload" [(ngModel)]="cc1ExcelDetails"
                (change)="uploadCc1ExcelDetails($event)" >
            </form>
        </div>
        <br/>
        <div class="">
            <div class="btn cancel close" (click)="saveLogsToDb()">Upload</div>
            <div class="btn cancel marginLeft close">Cancel</div>
        </div>
    </div>
</div>

<div class="popup showAssetDetails">
    <div class="x close"></div>
    <div class="popupContent small">
        <div class="borderBtm mainNormal marginBtm paddingBtm">Show Asset Details</div>
        <div class="maxWid12">
            <form #assetFrom="ngForm">
                {{listData|json}}
                <ul class="form flow marginBtmSml">
                    <li>
                        <div class="tag">Transformer ID<span class="redColor normal">*</span></div>
                        <input type="text" name="assetId" [(ngModel)]="assetDetails.assetId"
                            #assetId="ngModel" readonly required>
                        <div class="error" *ngIf="!assetId.valid && assetId.touched">Please enter assetIds
                        </div>
                    </li>
                    <li>
                        <div class="tag">Manufacturer<span class="redColor normal">*</span></div>
                        <input type="email" name="Manufacturer" [(ngModel)]="assetDetails.manufacturer"
                            #Manufacturer="ngModel"  readonly required>
                        <div class="error" *ngIf="!Manufacturer.valid && Manufacturer.touched">Please enter
                            Manufacturer</div>
                    </li>
                    <li>
                        <div class="tag">Specification<span class="redColor normal">*</span></div>
                        <div class="dropDown">
                            <div class="head" data-init="0">
                                <input class="headTitle" placeholder="Select" type="text"
                                    name="Specification" [(ngModel)]="assetDetails.specification"
                                    #Specification="ngModel" readonly required>
                            </div>
                            <ul class="list">
                                <li (click)="assetDetails.specification= 'IEEE 55C'">IEEE 55C</li>
                                <li (click)="assetDetails.specification= 'IEEE 65C'">IEEE 65C</li>
                                <li (click)="assetDetails.specification= 'IEC'">IEC</li>
                                <li (click)="assetDetails.specification= 'Unknown'">Unknown</li>
                            </ul>
                        </div>
                        <div class="error" *ngIf="!Specification.valid && Specification.touched">
                            Please select Specification
                        </div>
                    </li>
                    <li>
                        <div class="tag">Duty<span class="redColor normal">*</span></div>
                        <div class="dropDown">
                            <div class="head" data-init="0">
                                <input class="headTitle" placeholder="Select" type="text" name="Duty"
                                    [(ngModel)]="assetDetails.duty" #Duty="ngModel" readonly required>
                            </div>
                            <ul class="list">
                                <li *ngFor="let duty of dutyList" (click)="assetDetails.duty= duty">
                                    {{duty}}</li>
                            </ul>
                        </div>
                        <div class="error" *ngIf="!Duty.valid && Duty.touched">
                            Please select Duty
                        </div>
                    </li>

                    <li>
                        <div class="tag">Serial No<span class="redColor normal">*</span></div>
                        <input type="text" name="serialNo" [(ngModel)]="assetDetails.serialNo"
                            #serialNo="ngModel" required>
                        <div class="error" *ngIf="!serialNo.valid && serialNo.touched">
                            Please enter Serial No
                        </div>
                    </li>
                    <li>
                        <div class="tag">Year of manufacturing<span class="redColor normal">*</span></div>
                        <input type="number" name="YearOfManufacturing"
                            [(ngModel)]="assetDetails.YearOfManufacturing" #YearOfManufacturing="ngModel"
                            required>
                        <div class="error"
                            *ngIf="!YearOfManufacturing.valid && YearOfManufacturing.touched">Please enter
                            Year of manufacturing</div>
                    </li>
                    <li>
                        <div class="tag">Rating on top cooling mode<span class="redColor normal">*</span></div>
                        <input type="number"
                               name="ratingTopCooling"
                               [(ngModel)]="assetDetails.ratingTopCooling"
                               #ratingTopCooling="ngModel"
                               required>
                        <div class="error" *ngIf="!ratingTopCooling.valid && ratingTopCooling.touched">Please enter Rating on top cooling mode</div>
                    </li>
                    <li>
                            <div class="tag">kV rating HV<span class="redColor normal">*</span></div>
                            <input type="number"
                                   name="kvRating"
                                   [(ngModel)]="assetDetails.kvRating"
                                   #kvRating="ngModel"
                                   required>
                            <div class="error" *ngIf="!kvRating.valid && kvRating.touched">Please enter kV rating HV</div>
                        </li>

                    <!-- 
                      
                            <li>
                                    <div class="tag">Total Weight<span class="redColor normal">*</span></div>
                                    <input type="number"
                                           name="age"
                                           [(ngModel)]="user.age"
                                           #age="ngModel"
                                           required>
                                    <div class="error" *ngIf="!age.valid && age.touched">Please enter age</div>
                                </li>
                      
                                <li>
                                        <div class="tag">Cores/Winding Weight<span class="redColor normal">*</span></div>
                                        <input type="number"
                                               name="age"
                                               [(ngModel)]="user.age"
                                               #age="ngModel"
                                               required>
                                        <div class="error" *ngIf="!age.valid && age.touched">Please enter age</div>
                                    </li> -->

                    <li>
                        <div class="tag">Oil Weight<span class="redColor normal">*</span></div>
                        <input type="number" name="oilWeight" [(ngModel)]="assetDetails.oilWeight"
                            #oilWeight="ngModel" required>
                        <div class="error" *ngIf="!oilWeight.valid && oilWeight.touched">Please enter
                            oilWeight</div>
                    </li>

                    <li>
                        <div class="tag">Type of paper<span class="redColor normal">*</span></div>
                        <div class="dropDown">
                            <div class="head" data-init="0">
                                <input class="headTitle" placeholder="Select" type="text" name="typeOfPaper"
                                    [(ngModel)]="assetDetails.typeOfPaper" #typeOfPaper="ngModel" readonly
                                    required>
                            </div>
                            <ul class="list">
                                <li (click)="assetDetails.typeOfPaper= 'St.Engineer'">IEEE 55 - Kraft</li>
                                <li (click)="assetDetails.typeOfPaper= 'Business'">IEEE 65C</li>
                                <li (click)="assetDetails.typeOfPaper= 'CA'">IEC</li>
                                <li (click)="assetDetails.typeOfPaper= 'CA'">Unknown</li>
                            </ul>
                        </div>
                        <div class="error" *ngIf="!typeOfPaper.valid && typeOfPaper.touched">
                            Please select Type of paper
                        </div>
                    </li>
                    <li>
                        <div class="tag">Oil Preservation sealed<span class="redColor normal">*</span></div>
                        <div class="dropDown">
                            <div class="head" data-init="0">
                                <input class="headTitle" placeholder="Select" type="text"
                                    name="oilPreservationSealed"
                                    [(ngModel)]="assetDetails.oilPreservationSealed"
                                    #oilPreservationSealed="ngModel" readonly required>
                            </div>
                            <ul class="list">
                                <li (click)="assetDetails.oilPreservationSealed= 'St.Engineer'">yes</li>
                                <li (click)="assetDetails.oilPreservationSealed= 'Business'">No</li>
                            </ul>
                        </div>
                        <div class="error"
                            *ngIf="!oilPreservationSealed.valid && oilPreservationSealed.touched">
                            Please select oilPreservationSealed
                        </div>
                    </li>

                    <li>
                        <div class="tag">Oil Type main tank<span class="redColor normal">*</span></div>
                        <div class="dropDown">
                            <div class="head" data-init="0">
                                <input class="headTitle" placeholder="Select" type="text"
                                    name="oilTypeMainTank" [(ngModel)]="assetDetails.oilTypeMainTank"
                                    #oilTypeMainTank="ngModel" readonly required>
                            </div>
                            <ul class="list">
                                <li (click)="assetDetails.oilTypeMainTank= 'yes'">yes</li>
                                <li (click)="assetDetails.oilTypeMainTank= 'no'">No</li>
                            </ul>
                        </div>
                        <div class="error" *ngIf="!oilTypeMainTank.valid && oilTypeMainTank.touched">
                            Please select oilTypeMainTank
                        </div>
                    </li>

                    <li>
                        <div class="tag">Inhibited oil<span class="redColor normal">*</span></div>
                        <div class="dropDown">
                            <div class="head" data-init="0">
                                <input class="headTitle" placeholder="Select" type="text"
                                    name="inhibitedOil" [(ngModel)]="assetDetails.inhibitedOil"
                                    #inhibitedOil="ngModel" readonly required>
                            </div>
                            <ul class="list">
                                <li (click)="assetDetails.inhibitedOil= 'yes'">yes</li>
                                <li (click)="assetDetails.inhibitedOil= 'no'">No</li>
                            </ul>
                        </div>
                        <div class="error" *ngIf="!inhibitedOil.valid && inhibitedOil.touched">
                            Please select Specification
                        </div>
                    </li>
                </ul>
            </form>
        </div>
    </div>
</div>



<div class="popup"></div>
